class UserSession {
  String? token;
  Map<String, dynamic>? user;

  bool get isLoggedIn => token != null && token!.isNotEmpty;

  String get name => user?['name']?.toString() ?? '';
  String get nrp => user?['nrp']?.toString() ?? '';

  void clear() {
    token = null;
    user = null;
  }
}
